Ubuntu 18.04 - wrong cpu-mf counter number

Bug #1847109 reported by bugproxy on 2019-10-07
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu on IBM z Systems
Medium
Frank Heimes
linux (Ubuntu)
Undecided
Skipper Bug Screeners
Bionic
Medium
Unassigned

Bug Description

SRU Justification:
==================

[Impact]

* wrong cpu-mf counter number of LAST_HOST_TRANSLATIONS

[Fix]

* 81507f38d427ebed3291a3c153a798937c998140 81507f38 "s390/cpum_cf: correct counter number of LAST_HOST_TRANSLATIONS"

[Test Case]

* inspect the counter number of the LAST_HOST_TRANSLATIONS (virtual) file

* cat /sys/devices/cpum_cf/events/LAST_HOST_TRANSLATIONS

* returns 'event=0x00e9', but should be 'event=0x00e8'

* event is only available on z14 and higher, hence Canonical can only do regression testing - IBM the functional verification

[Regression Potential]

* very minimal, patch just changes one hex number in one code line

* change is limited to z14 (and higher) hardware counters only

[Other Info]

* fix/patch got upstream accepted with 4.16

* hence it's already in (cosmic and) disco and eoan and only need to be applied to bionic 4.15
__________

Kernel:
Linux t35lp11 4.15.0-64-generic #73-Ubuntu SMP Thu Sep 12 13:15:19 UTC 2019 s390x s390x s390x GNU/Linux

Description/Reproduction:
The cpu-mf counter LAST_HOST_TRANSLATIONS has the wrong number.

# cat /sys/devices/cpum_cf/events/LAST_HOST_TRANSLATIONS
event=0x00e9

should be event=0x00e8

Fix already available:
commit 81507f38d427ebed3291a3c153a798937c998140

bugproxy (bugproxy) on 2019-10-07
tags: added: architecture-s39064 bugnameltc-181639 severity-medium targetmilestone-inin18043
Changed in ubuntu:
assignee: nobody → Skipper Bug Screeners (skipper-screen-team)
affects: ubuntu → linux (Ubuntu)
Frank Heimes (fheimes) on 2019-10-07
Changed in ubuntu-z-systems:
status: New → Triaged
status: Triaged → Confirmed
importance: Undecided → Medium
assignee: nobody → Frank Heimes (frank-heimes)
Frank Heimes (fheimes) on 2019-10-08
summary: - [Ubuntu 18.04] Ubuntu 18.04.3 - wrong cpu-mf counter number
+ [Ubuntu 18.04] Wrong cpu-mf counter number
summary: - [Ubuntu 18.04] Wrong cpu-mf counter number
+ Ubuntu 18.04 - wrong cpu-mf counter number
Frank Heimes (fheimes) wrote :

Kernel SRU request submitted:
https://lists.ubuntu.com/archives/kernel-team/2019-October/thread.html#104595

Changing status to 'In Progress'.

description: updated
Changed in ubuntu-z-systems:
status: Confirmed → In Progress
Changed in linux (Ubuntu):
status: New → In Progress
Stefan Bader (smb) on 2019-10-10
Changed in linux (Ubuntu Bionic):
importance: Undecided → Medium
status: New → In Progress
Changed in linux (Ubuntu):
status: In Progress → Invalid
Changed in linux (Ubuntu Bionic):
status: In Progress → Fix Committed
Frank Heimes (fheimes) on 2019-10-16
Changed in ubuntu-z-systems:
status: In Progress → Fix Committed

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-bionic' to 'verification-done-bionic'. If the problem still exists, change the tag 'verification-needed-bionic' to 'verification-failed-bionic'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-bionic

------- Comment From <email address hidden> 2019-10-24 06:08 EDT-------
Bug has been fixed in bionic-proposed kernel updates.

# uname -r
4.15.0-67-generic

# cat /sys/devices/cpum_cf/events/LAST_HOST_TRANSLATIONS
event=0x00e8

bugproxy (bugproxy) on 2019-10-24
tags: added: verification-done-bionic
removed: verification-needed-bionic
Frank Heimes (fheimes) wrote :

Thanks for the verification, Andre - tags are adjusted ...
Now it's just a matter until the SRU cycle is completed and kernel moved from the proposed to the release pocket.

Launchpad Janitor (janitor) wrote :
Download full text (24.0 KiB)

This bug was fixed in the package linux - 4.15.0-69.78

---------------
linux (4.15.0-69.78) bionic; urgency=medium

  * KVM NULL pointer deref (LP: #1851205)
    - KVM: nVMX: handle page fault in vmread fix

  * CVE-2018-12207
    - KVM: MMU: drop vcpu param in gpte_access
    - kvm: Convert kvm_lock to a mutex
    - kvm: x86: Do not release the page inside mmu_set_spte()
    - KVM: x86: make FNAME(fetch) and __direct_map more similar
    - KVM: x86: remove now unneeded hugepage gfn adjustment
    - KVM: x86: change kvm_mmu_page_get_gfn BUG_ON to WARN_ON
    - KVM: x86: add tracepoints around __direct_map and FNAME(fetch)
    - kvm: x86, powerpc: do not allow clearing largepages debugfs entry
    - SAUCE: KVM: vmx, svm: always run with EFER.NXE=1 when shadow paging is
      active
    - SAUCE: x86: Add ITLB_MULTIHIT bug infrastructure
    - SAUCE: kvm: mmu: ITLB_MULTIHIT mitigation
    - SAUCE: kvm: Add helper function for creating VM worker threads
    - SAUCE: kvm: x86: mmu: Recovery of shattered NX large pages
    - SAUCE: cpu/speculation: Uninline and export CPU mitigations helpers
    - SAUCE: kvm: x86: mmu: Apply global mitigations knob to ITLB_MULTIHIT

  * CVE-2019-11135
    - KVM: x86: use Intel speculation bugs and features as derived in generic x86
      code
    - x86/msr: Add the IA32_TSX_CTRL MSR
    - x86/cpu: Add a helper function x86_read_arch_cap_msr()
    - x86/cpu: Add a "tsx=" cmdline option with TSX disabled by default
    - x86/speculation/taa: Add mitigation for TSX Async Abort
    - x86/speculation/taa: Add sysfs reporting for TSX Async Abort
    - kvm/x86: Export MDS_NO=0 to guests when TSX is enabled
    - x86/tsx: Add "auto" option to the tsx= cmdline parameter
    - x86/speculation/taa: Add documentation for TSX Async Abort
    - x86/tsx: Add config options to set tsx=on|off|auto
    - SAUCE: x86/speculation/taa: Call tsx_init()
    - SAUCE: x86/cpu: Include cpu header from bugs.c
    - [Config] Disable TSX by default when possible

  * CVE-2019-0154
    - SAUCE: drm/i915: Lower RM timeout to avoid DSI hard hangs
    - SAUCE: drm/i915/gen8+: Add RC6 CTX corruption WA

  * CVE-2019-0155
    - drm/i915/gtt: Add read only pages to gen8_pte_encode
    - drm/i915/gtt: Read-only pages for insert_entries on bdw+
    - drm/i915/gtt: Disable read-only support under GVT
    - drm/i915: Prevent writing into a read-only object via a GGTT mmap
    - drm/i915/cmdparser: Check reg_table_count before derefencing.
    - drm/i915/cmdparser: Do not check past the cmd length.
    - drm/i915: Silence smatch for cmdparser
    - drm/i915: Move engine->needs_cmd_parser to engine->flags
    - SAUCE: drm/i915: Rename gen7 cmdparser tables
    - SAUCE: drm/i915: Disable Secure Batches for gen6+
    - SAUCE: drm/i915: Remove Master tables from cmdparser
    - SAUCE: drm/i915: Add support for mandatory cmdparsing
    - SAUCE: drm/i915: Support ro ppgtt mapped cmdparser shadow buffers
    - SAUCE: drm/i915: Allow parsing of unsized batches
    - SAUCE: drm/i915: Add gen9 BCS cmdparsing
    - SAUCE: drm/i915/cmdparser: Use explicit goto for error paths
    - SAUCE: drm/i915/cmdparser: Add support for backward jumps
    - SAUCE: drm/i915/cmdpar...

Changed in linux (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in ubuntu-z-systems:
status: Fix Committed → Fix Released
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2019-11-13 04:06 EDT-------
IBM bugzilla status: closed, Fix Released with bionic

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers